Cloady Docs
API ReferenceEndpointsApplications

List the git branches available to an app

Fetched live from GitHub; empty for apps whose source is not git. `current` is the branch the app deploys from.

GET
/api/workspaces/{workspaceSlug}/apps/{appSlug}/branches
AuthorizationBearer <token>

Personal API token (cldy_…)

In: header

Path Parameters

workspaceSlug*string
appSlug*string

Query Parameters

env?string

Value in

  • "production"
  • "preview"
  • "development"
region?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/workspaces/string/apps/string/branches"
{  "branches": [    "string"  ],  "current": "string"}